[Solved] Debian & ArchLinux: Neos CMS 4.3.* PHP 7.3.5 No <domain>/setup found on installation


(World Peace) #1

step 5 (entering setup) is thus not possible.

  - Installing neos/neos-base-distribution (4.3.1): Loading from cache                                                    [391/9279]
Created project in .                                                                                                                
Loading composer repositories with package information                                                                              
Updating dependencies                                                                                                               
Package operations: 81 installs, 0 updates, 0 removals                                                                              
  - Installing neos/composer-plugin (2.0.1): Loading from cache                                                                     
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing ocramius/package-versions (1.4.0): Loading from cache                                                                
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing neos/utility-pdo (5.3.0): Loading from cache                                                                         
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing symfony/polyfill-mbstring (v1.11.0): Loading from cache                                                              
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing symfony/contracts (v1.1.0): Loading from cache                                                                       
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing symfony/console (v4.2.8): Loading from cache                                                                         
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing symfony/polyfill-ctype (v1.11.0): Loading from cache                                                                 
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing symfony/dom-crawler (v4.2.8): Loading from cache                                                                     
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing symfony/yaml (v4.2.8): Loading from cache                                                                            
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing doctrine/lexer (v1.0.1): Loading from cache                                                                          
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing doctrine/annotations (v1.6.1): Loading from cache                                                                    
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing doctrine/reflection (v1.0.0): Loading from cache                                                                     
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing doctrine/event-manager (v1.0.0): Loading from cache                                                                  
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing doctrine/collections (v1.6.1): Loading from cache                                                                    
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing doctrine/cache (v1.8.0): Loading from cache                                                                          
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing doctrine/persistence (1.1.1): Loading from cache                                                                     
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing doctrine/inflector (v1.3.0): Loading from cache                                                                      
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing doctrine/common (v2.10.0): Loading from cache                                                                        
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing doctrine/dbal (v2.9.2): Loading from cache                                                                           
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing zendframework/zend-eventmanager (3.2.1): Loading from cache                                                          
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing zendframework/zend-code (3.3.1): Loading from cache                                                                  
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing ocramius/proxy-manager (2.2.2): Loading from cache                                                                   
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing psr/log (1.1.0): Loading from cache                                                                                  
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing doctrine/migrations (v1.8.1): Loading from cache                                                                     
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script                             
  - Installing doctrine/instantiator (1.2.0): Loading from cache                                                                    
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script
  - Installing doctrine/orm (v2.6.3): Loading from cache                                                                            
Class Neos\Flow\Composer\InstallerScripts is not autoloadable, can not call post-package-install script
  - Installing neos/content-repository (4.3.0): Loading from cache                                                        [278/9279]
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/twitter-bootstrap (3.0.4): Loading from cache                                                                   
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/form (4.2.1): Loading from cache                                                                                
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/setup (dev-master 7b5437e): Cloning 7b5437efe8 from cache                                                       
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/party (5.0.1): Loading from cache                                                                               
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/media-browser (4.3.0): Loading from cache                                                                       
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/diff (4.3.1): Loading from cache                                                                                
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/neos (4.3.0): Loading from cache                                                                                
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/neos-ui (3.3.0): Loading from cache                                                                             
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/redirecthandler (2.0.1): Loading from cache                                                                     
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/redirecthandler-databasestorage (3.0.0): Loading from cache                                                     
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/redirecthandler-neosadapter (3.0.0): Loading from cache                                                         
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-basemixins (4.3.0): Loading from cache                                                                
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-form (4.3.0): Loading from cache                                                                      
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-navigation (4.3.0): Loading from cache                                        
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-html (4.3.0): Loading from cache                                                                      
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-contentreferences (4.3.0): Loading from cache                                                         
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-columnlayouts (4.3.0): Loading from cache        
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-assetlist (4.3.0): Loading from cache                                                                 
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing packagefactory/afx (v3.0.0): Loading from cache                                                                      
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/kickstarter (5.3.0): Loading from cache                                                                         
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/site-kickstarter (4.3.0): Loading from cache                                                                    
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing flowpack/neos-frontendlogin (3.0.3): Loading from cache                                                              
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/fusion-afx (v1.2.0): Loading from cache                                                                         
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/seo (3.0.2): Loading from cache                                                                                 
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes (4.3.0): Loading from cache                                                                           
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall 
  - Installing neos/content-repository (4.3.0): Loading from cache                                                        [278/9279]
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/twitter-bootstrap (3.0.4): Loading from cache                                                                   
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/form (4.2.1): Loading from cache                                                                                
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/setup (dev-master 7b5437e): Cloning 7b5437efe8 from cache                                                       
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/party (5.0.1): Loading from cache                                                                               
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/media-browser (4.3.0): Loading from cache                                                                       
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/diff (4.3.1): Loading from cache                                                                                
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/neos (4.3.0): Loading from cache                                                                                
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/neos-ui (3.3.0): Loading from cache                                                                             
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/redirecthandler (2.0.1): Loading from cache                                                                     
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/redirecthandler-databasestorage (3.0.0): Loading from cache                                                     
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/redirecthandler-neosadapter (3.0.0): Loading from cache                                                         
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-basemixins (4.3.0): Loading from cache                                                                
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-form (4.3.0): Loading from cache                                                                      
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-navigation (4.3.0): Loading from cache                                        
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-html (4.3.0): Loading from cache                                                                      
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-contentreferences (4.3.0): Loading from cache                                                         
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-columnlayouts (4.3.0): Loading from cache        
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes-assetlist (4.3.0): Loading from cache                                                                 
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing packagefactory/afx (v3.0.0): Loading from cache                                                                      
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/kickstarter (5.3.0): Loading from cache                                                                         
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/site-kickstarter (4.3.0): Loading from cache                                                                    
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing flowpack/neos-frontendlogin (3.0.3): Loading from cache                                                              
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/fusion-afx (v1.2.0): Loading from cache                                                                         
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/seo (3.0.2): Loading from cache                                                                                 
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
  - Installing neos/nodetypes (4.3.0): Loading from cache                                                                           
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall 
 - Installing neos/demo (5.0.2): Loading from cache                                                                                
> Neos\Flow\Composer\InstallerScripts::postPackageUpdateAndInstall                                                                  
Writing lock file                                                                                                                   
Generating autoload files                                                                                                           
ocramius/package-versions:  Generating version class...                                                                             
ocramius/package-versions: ...done generating version class   
> Neos\Flow\Composer\InstallerScripts::postUpdateAndInstall    

is the command line output of the create-project command with --no-dev option

Can anyone give a hint or is Arch having too recent versions for Neos to work?

neos_internal_server_error.pdf (46.0 KB)
PHP 7.3.5 - phpinfo.pdf (481.3 KB)

(I once had Neos running on an outdated Arch from approximately 2017.)

EDIT: The “… is not autoloadable can not call post install script” seems not to be an issue. It’s an order warning that can safely be ignored following sources on the net.


(World Peace) #2

Same on debian 9 … following https://www.vultr.com/docs/how-to-install-neos-cms-on-debian-9
Tried all kinds of composer. With and without --no-dev option. It not even asks for version control files to be deleted.

Set permissions to 777 on . and … even. Used non root user. Followed procedure from https://neos.readthedocs.io/en/stable/GettingStarted/Installation.html exactly!

Now I start to believe something is wrong with Neos CMS 4.3. What is going on?


(World Peace) #3

I start to believe this is .htaccess issue. i.e. AllowOverride None instead of All. I’ll check

Enabled mod rewrite which was not enabled on Debian 9 by default. (evaluation ongoing)

Edit: Can be closed! Solved it. AllowOverride was not set correctly on the respective folder.